default:
  suites:
    default:
      contexts:
        - FeatureContext:
            kernel: '@kernel'
        - SystemContext:
            kernel: '@kernel'

        #                - Knp\FriendlyContexts\Context\MinkContext
        #               - Knp\FriendlyContexts\Context\TableContext
    #        - Knp\FriendlyContexts\Context\EntityContext
    #       - Knp\FriendlyContexts\Context\AliceContext
  extensions:
    Behat\Symfony2Extension:
      kernel:
        bootstrap: features/bootstrap/bootstrap.php
        class: App\Kernel
    Behat\MinkExtension:
      base_url: "http://localhost:8080"
      sessions:
        default:
          symfony2: ~
      browser_name: 'chrome'
      selenium2:
        wd_host: http://33.33.33.1:4444/wd/hub
        capabilities: { "browserName": "chrome", "browser": "chrome", 'chrome': {'switches':['--no-sandbox']}}
    LeanPHP\Behat\CodeCoverage\Extension:
      drivers:
        - local
      filter:
        whitelist:
          include:
            directories:
              'src': ~
      report:
        format:   html
        options:
          target: build/behat-coverage
#    PSS\Behat\Symfony2MockerExtension: ~